/// <reference types="cypress" />
describe('InvoiceInList', () => {
    const firstCard = '.q-card:nth-child(1)';
    const firstChipId =
        ':nth-child(1) > :nth-child(1) > .justify-between > .flex > .q-chip > .q-chip__content';
    const firstDetailBtn = '.q-card:nth-child(1) .q-btn:nth-child(2)';
    const summaryHeaders = '.summaryBody .header';
    const screen = '.q-page-container > .q-drawer-container > .fullscreen';

    beforeEach(() => {
        cy.login('developer');
        cy.visit(`/#/invoice-in/list`);
        cy.get(screen).click();
    });

    it('should redirect on clicking a invoice', () => {
        cy.get(firstChipId)
            .invoke('text')
            .then((content) => {
                const id = content.substring(4);
                cy.get(firstCard).click();
                cy.url().should('include', `/invoice-in/${id}/summary`);
            });
    });

    it('should open the details', () => {
        cy.get(firstDetailBtn).click();
        cy.get(summaryHeaders).eq(1).contains('Basic data');
        cy.get(summaryHeaders).eq(4).contains('Vat');
    });
});
